@import url('https://fonts.googleapis.com/css2?family=Poppins&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --background: #222222;
    --cor-destaque: #ff914d;
    --cor-secundaria: #0D6EFC;
    --cor-azul-claro: #4e8cff;
    --cor-azul-clarinho: #d7d7d779;
    --cor-card-servico: #2393BB;
    --cor-cinza: #344253;
}

html {
    scroll-behavior: smooth;
}

body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    margin: 0;
    font-family: "Roboto", sans-serif;
    background-color: var(--background);
}

/* HEADER */
/* HEADER */
/* HEADER */

.header {
    background-color: var(--cor-secundaria);
    position: fixed;
    z-index: 100;
    width: 100%;
    top: 0;
    transition: background-color 0.3s, box-shadow 0.8s, opacity 0.8s;
    display: flex;
    align-items: center;
    justify-content: center;
}

.header-logo {
    height: auto;
    width: 130px;
    margin: 0;
    padding: 0;
}

.header-logo:hover {
    transform: scale(1.01);
}

.header-nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 12px;
    width: 100%;
}

.header-nav__logo{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1em;
    color: #ffffff;
}

.barrinha{
    background-color: #ffffff;
    width: 3px;
    height: 40px;
}

.header-botao{
    background-color: var(--cor-destaque);
    color: #ffffff;
    text-decoration: none;
    font-size: 1.1em;
    font-weight: bold;
    padding: 6px 12px;
    border-radius: 6px; 
    box-shadow: 0 0 10px 1px var(--cor-destaque);
}

.header-botao:hover{
    transition: 1s;
    background-color: #ffffff;
    color: var(--cor-secundaria);
    box-shadow: 0 0 10px 1px #ffffff;
}

/* MAIN */
/* MAIN */
/* MAIN */

main{
    margin: 4em;
}

section {
    min-height: 100vh;
    max-width: 100%;
    scroll-margin-top: 60px;
    background-color: var(--background);
    display: flex;
    align-items: center;
    justify-content: center;
}

.container-geral{
    margin-top: 4em;
    gap: 3em;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.container{
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    gap: 2em;
    width: 100%;
}

.div-a{
    width: 100%;
}

.div-a:hover{
    transition: 1s;
    transform: scale(1.02);
}

.div-a__img{
    width: 100%;
    height: 100%;
    border-radius: 12px;
}

.div-a__img:hover{
    transition: 800ms;
    box-shadow: 0 0 10px 1px var(--cor-secundaria);
}

.container-botao{
    background-color: var(--cor-destaque);
    color: #ffffff;
    text-decoration: none;
    font-size: 1.8em;
    font-weight: bold;
    padding: 12px 24px;
    border-radius: 6px; 
    box-shadow: 0 0 10px 1px var(--cor-destaque);
}

.container-botao:hover{
    transition: 1s;
    background-color: #ffffff;
    color: var(--cor-secundaria);
    box-shadow: 0 0 10px 1px #ffffff;
}

/* FOOTER */
/* FOOTER */
/* FOOTER */

footer {
    width: 100%;
    background-color: var(--cor-secundaria);
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 8px;
    margin-top: auto;
}

footer p {
    margin: 0;
}

/* RESPONSIVIDADE */
/* RESPONSIVIDADE */
/* RESPONSIVIDADE */

@media (max-width: 1024px) {
    .div-a{
        width: 100%;
    }
}

@media (max-width: 980px) {
    .div-a{
        width: 100%;
    }

    .container-botao{
        font-size: 1.4em;
    }
}

@media (max-width: 480px) {
    main{
        margin: 2em;
    }

    .div-a{
        width: 100%;
    } 

    .container-botao{
        font-size: 1.2em;
    }

    .header-logo {
        width: 80px;
    }

    .header-nav__logo{
        gap: 0.5em;
    }

    .barrinha{
        height: 30px;
        width: 2px;
    }

    .header-nav__logo h1{
        font-size: 1.2em;
    }
    
}